# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetArrayClass

Function

Returns the subclass of an Array Object.

Syntax
`
#include <dx/dx.h>
`

Class DXGetArrayClass(Array a)

Functional Details

Returns `CLASS_ARRAY` if the Array `a` is irregular. Otherwise returns one of `CLASS_REGULARARRAY`, `CLASS_PRODUCTARRAY`, `CLASS_PATHARRAY`, `CLASS_MESHARRAY,` or `CLASS_CONSTANTARRAY`.

Return Value

Returns the subclass of an Array Object.

See Also

`DXGetArrayData, DXGetArrayInfo`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]